Loading...
Searching...
No Matches
sadump_smram_cpu_state Struct Reference

SMRAM CPU state. More...

## Data Fields

uint64_t | _reserved1 [58]
uint32_t | gdt_hi
uint32_t | ldt_hi
uint32_t | idt_hi
uint32_t | _reserved2 [3]
uint64_t | io_eip
uint64_t | _reserved3 [10]
uint32_t | cr4
uint32_t | _reserved4 [18]
uint32_t | gdt_lo
uint32_t | gdt_limit
uint32_t | idt_lo
uint32_t | idt_limit
uint32_t | ldt_lo
uint32_t | ldt_limit
uint32_t | ldt_info
uint64_t | _reserved5 [6]
uint64_t | eptp
uint32_t | eptp_setting
uint32_t | _reserved6 [5]
uint32_t | smbase
uint32_t | smm_revision_id
uint16_t | io_instruction_restart
uint16_t | auto_halt_restart
uint32_t | _reserved7 [6]
uint64_t | r15
uint64_t | r14
uint64_t | r13
uint64_t | r12
uint64_t | r11
uint64_t | r10
uint64_t | r9
uint64_t | r8
uint64_t | rax
uint64_t | rcx
uint64_t | rdx
uint64_t | rbx
uint64_t | rsp
uint64_t | rbp
uint64_t | rsi
uint64_t | rdi
uint64_t | io_mem_addr
uint32_t | io_misc
uint32_t | es
uint32_t | cs
uint32_t | ss
uint32_t | ds
uint32_t | fs
uint32_t | gs
uint32_t | ldtr
uint32_t | tr
uint64_t | dr7
uint64_t | dr6
uint64_t | rip
uint64_t | ia32_efer
uint64_t | rflags
uint64_t | cr3
uint64_t | cr0

## Detailed Description

SMRAM CPU state.

The documentation for this struct was generated from the following file:

- src/kdumpfile/sadump.c